/* HAPI_M.H - mailbox command codes (HDLC only) */

/* HDLC Mailbox commands */
#define CONFIGURE_LINK                  0x01
#define HDLC_OPEN                       0x02
#define HDLC_CLOSE                      0x03
#define LINK_SETUP                      0x04
#define LINK_DISCONNECT                 0x05
#define	LINK_STATUS			0x06
#define READ_OPERATIONAL_STATS          0x07
#define FLUSH_OPERATIONAL_STATS         0x08
#define	READ_COMMS_ERR_STATS		0x09
#define FLUSH_COMMS_ERR_STATS           0x0a
#define	SET_GLOBAL_VARIABLES		0x0b
#define READ_MODEM_STATUS               0x0c
#define	FLUSH_DATA_BUFFERS		0x0d
#define SEND_UNNUMBERED_I_FRAME         0x10
#define	HDLC_WRITE			0x11
#define	READ_CONFIGURATION		0x12
#define SET_CONFIGURATION               0x13
#define	OPERATE_DATALINE_MONITOR	0x14
#define READ_CODE_VERSION               0x15
#define	READ_TRACE_DATA			0x16
#define	HDLC_READ			0x21


#define	Z80_TIMEOUT_ERROR	0x0a
#define	DATA_LENGTH_TOO_BIG	0x04
#define	NO_BUFFS		0x01
#define	NO_DATA_AVAILABLE	0x01

